GLM_GTX_wrap
Experimental extensions

Include <glm/gtx/wrap.hpp> to use the features of this extension. More...

## Functions

template<typename genType >
GLM_FUNC_DECL genType | clamp (genType const &Texcoord)
| Simulate GL_CLAMP OpenGL wrap mode. More...
template<typename genType >
GLM_FUNC_DECL genType | mirrorClamp (genType const &Texcoord)
| Simulate GL_MIRRORED_REPEAT OpenGL wrap mode. More...
template<typename genType >
GLM_FUNC_DECL genType | mirrorRepeat (genType const &Texcoord)
| Simulate GL_MIRROR_REPEAT OpenGL wrap mode. More...
template<typename genType >
GLM_FUNC_DECL genType | repeat (genType const &Texcoord)
| Simulate GL_REPEAT OpenGL wrap mode. More...

## Detailed Description

Include <glm/gtx/wrap.hpp> to use the features of this extension.

Wrapping mode of texture coordinates.

## Function Documentation

GLM_FUNC_DECL genType glm::clamp | ( | genType const & | Texcoord | ) |

Simulate GL_CLAMP OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.

GLM_FUNC_DECL genType glm::mirrorClamp | ( | genType const & | Texcoord | ) |

Simulate GL_MIRRORED_REPEAT OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.

GLM_FUNC_DECL genType glm::mirrorRepeat | ( | genType const & | Texcoord | ) |

Simulate GL_MIRROR_REPEAT OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.

GLM_FUNC_DECL genType glm::repeat | ( | genType const & | Texcoord | ) |

Simulate GL_REPEAT OpenGL wrap mode.

See also
  GLM_GTX_wrap extension.